Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PUT \ --url https://api.maalbar.dk/v1/suppliers/{supplierPublicId} \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data ' { "name": "<string>" } '
const url = 'https://api.maalbar.dk/v1/suppliers/{supplierPublicId}'; const options = { method: 'PUT', headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({name: '<string>'}) }; fetch(url, options) .then(res => res.json()) .then(json => console.log(json)) .catch(err => console.error(err));
{ "publicId": "transportLocationSupplier_xxxxxxxxxxxx", "name": "<string>" }
{ "error": "Invalid request parameters" }
{ "error": "Authentication required" }
{ "error": "Resource not found" }
{ "error": "An unexpected error occurred" }
1 - 255
Successful response
16
"transportLocationSupplier_xxxxxxxxxxxx"